#
# spec file for package libcryptopp
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           libcryptopp
Version:        5.6.1
Release:        24.1
License:        SUSE-Public-Domain
%define pkg_version 561
# This needs to be bumped manually with every ABI change since there is
# no upstream interface version information. Please keep in sync with
# Debian: http://packages.debian.org/en/source/experimental/libcrypto++
%define soname      9
Summary:        Crypto++ Library
URL:            http://www.cryptopp.com
Group:          Development/Libraries/C and C++
# http://www.cryptopp.com/cryptopp%%{pkg_version}.zip
Source:         cryptopp%{pkg_version}.tar.bz2
Source2:        cryptopp.pc
Patch1:         libcryptopp-shared.patch
BuildRequires:  gcc-c++
BuildRequires:  libstdc++-devel
BuildRequires:  pkg-config
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Crypto++ Library is a free C++ class library of cryptographic schemes.

%package -n %{name}%{soname}
Summary:        Cryptographic Library for C++
Group:          System/Libraries

%description -n %{name}%{soname}
Crypto++ Library is a free C++ class library of cryptographic schemes.

%package -n %{name}-devel
Summary:        Cryptographic Library for C++
Group:          Development/Libraries/C and C++
Requires:       %{name}%{soname} = %{version}

%description -n %{name}-devel
Crypto++ Library is a free C++ class library of cryptographic schemes.

%prep
%setup -q -c "%{name}-%{version}"
%patch1

%build
make %{?_smp_mflags} \
    CXXFLAGS="-DNDEBUG %{optflags} -fpic -fPIC" \
    DESTDIR="" \
    PREFIX="%{_prefix}" \
    LIB="%{_lib}" \
    CXX="g++" \
    VERSION="%{soname}.0.0" \
    MAJOR="%{soname}" \
    LDFLAGS="-pthread" \
    all

%install
make \
    DESTDIR="%{buildroot}" \
    PREFIX="%{_prefix}" \
    LIB="%{_lib}" \
    CXX="g++" \
    VERSION="%{soname}.0.0" \
    MAJOR="%{soname}" \
    install
rm -rf "%{buildroot}%{_bindir}"
mkdir %{buildroot}%{_libdir}/pkgconfig/
cp %{SOURCE2} %{buildroot}%{_libdir}/pkgconfig/

%check
make test

%post   -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root)
%{_libdir}/libcryptopp.so.%{soname}
%{_libdir}/libcryptopp.so.%{soname}.*

%files -n %{name}-devel
%defattr(-,root,root)
%doc License.txt Readme.txt
%{_includedir}/cryptopp
%{_libdir}/libcryptopp.so
%{_libdir}/pkgconfig/cryptopp.pc

%changelog
* Mon Oct 17 2011 jengelh@medozas.de
- Remove bogus Conflict against libcrypto++0 (cf. shlib guidelines)
* Fri Oct 14 2011 toddrme2178@gmail.com
- Added pkg-config file from fedora project
- Cleaned up spec file formatting
* Sun Jul 10 2011 meissner@suse.de
- add -lpthread for tests
* Thu Dec 16 2010 andreas.hanke@gmx-topmail.de
- Update to version 5.6.1:
  - added support for AES-NI and CLMUL instruction sets in AES and
    GMAC/GCM
  - removed WAKE-CFB
  - fixed several bugs in the SHA-256 x86/x64 assembly code:
  * incorrect hash on non-SSE2 x86 machines on non-aligned input
  * incorrect hash on x86 machines when input crosses 0x80000000
  * incorrect hash on x64 when compiled with GCC with optimizations
    enabled
  - fixed bugs in AES x86 and x64 assembly causing crashes in some MSVC
    build configurations
  - switched to a public domain implementation of MARS
  - ported to MSVC 2010, GCC 4.5.1, Sun Studio 12u1, C++Builder 2010,
    Intel C++ Compiler 11.1
  - renamed the MSVC DLL project to "cryptopp" for compatibility with
    MSVC 2010
- Changes to library packaging:
  - update the interface number because there were ABI changes, now
    matching the Debian package
  - introduce a conflict with the PackMan package
  - ship License.txt and Readme.txt
  - drop the static library
* Mon Aug  9 2010 pascal.bleser@opensuse.org
- initial package (5.6.0)
